// Copyright (c) 2022 NetEase, Inc. All rights reserved.
// Use of this source code is governed by a MIT license that can be
// found in the LICENSE file.

import 'package:netease_roomkit_interface/netease_roomkit_interface.dart';

///
/// 提供初始化配置
/// [appKey] appKey
/// [useAssetServerConfig] 是否读取私有化配置文件，默认为false
/// [serverConfig] 服务器配置项
/// [extras] 预留字段
///
class NERoomKitOptions {
  NERoomKitOptions(
      {required this.appKey,
      this.useAssetServerConfig = false,
      this.serverConfig,
      Map<String, String>? extras,
      this.reuseIM = false})
      : extras = extras != null ? Map.from(extras) : const {};

  /// 应用 appKey
  final String appKey;

  ///
  /// 是否解析 assets 目录下的私有化配置文件
  ///
  final bool useAssetServerConfig;

  ///
  /// 私有化配置
  ///
  final NEServerConfig? serverConfig;

  /// 额外参数
  final Map<String, String> extras;

  /// im 是否复用
  final bool reuseIM;
}
